## ros-noetic-rm-msgs 0.1.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(rm_msgs)

find_package(catkin REQUIRED COMPONENTS
        message_generation
        std_msgs
        geometry_msgs
        actionlib
        actionlib_msgs
        )

add_message_files(
        FILES
        ActuatorState.msg
        BalanceState.msg
        DbusData.msg
        ChassisCmd.msg
        ShootCmd.msg
        GimbalCmd.msg
        GimbalDesError.msg
        LpData.msg
        KalmanData.msg
        MovingAverageData.msg
        SuperCapacitor.msg
        GpioData.msg
        TofRadarData.msg
)

add_service_files(
        FILES
        ContinousDetectorSwitch.srv
        StatusChange.srv
        CameraStatus.srv
        EnableImuTrigger.srv
)

add_message_files(
        DIRECTORY msg/detection
        FILES
        TargetDetection.msg
        TargetDetectionArray.msg
        TrackData.msg
)

add_message_files(
        DIRECTORY msg/referee
        FILES
        CapacityData.msg
        GameRobotStatus.msg
        GameStatus.msg
        StateCmd.msg
        StepQueueState.msg
        GameRobotHp.msg
        PowerHeatData.msg
        EventData.msg
        DartStatus.msg
        IcraBuffDebuffZoneStatus.msg
        SupplyProjectileAction.msg
        DartRemainingTime.msg
        RobotHurt.msg
        ShootData.msg
        BulletRemaining.msg
        RfidStatus.msg
        DartClientCmd.msg
        ManualToReferee.msg
        RadarData.msg
)

add_action_files(
        FILES
        Engineer.action
)
# Generate added messages and services with any dependencies listed here
generate_messages(
        DEPENDENCIES
        std_msgs
        geometry_msgs
        actionlib_msgs
)

catkin_package(
        CATKIN_DEPENDS
        message_runtime
        std_msgs
        geometry_msgs
        actionlib
        actionlib_msgs
)

=== debian/control ===
Source: ros-noetic-rm-msgs
Section: misc
Priority: optional
Maintainer: qiayuan <liaoqiayuan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rm-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-message-runtime, ros-noetic-std-msgs
Description: The rm_msgs package provides all the messages for all kind of robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rm-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-rm-msgs 0.1.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,7 @@
         DbusData.msg
         ChassisCmd.msg
         ShootCmd.msg
+        ShootState.msg
         GimbalCmd.msg
         GimbalDesError.msg
         LpData.msg
@@ -24,6 +25,8 @@
         SuperCapacitor.msg
         GpioData.msg
         TofRadarData.msg
+        TagMsg.msg
+        TagMsgArray.msg
 )
 
 add_service_files(
